Get Verification Status
curl --request GET \
--url https://api.rolla.xyz/api/v1/external/accounts/{accountId}/verification \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rolla.xyz/api/v1/external/accounts/{accountId}/verification"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rolla.xyz/api/v1/external/accounts/{accountId}/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Verification status retrieved successfully",
"data": {
"verified": true,
"reviewStatus": "completed",
"reviewAnswer": "GREEN"
}
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Account Onboarding
Get Verification Status
Returns the identity verification status of an individual account holder.
GET
/
accounts
/
{accountId}
/
verification
Get Verification Status
Returns the identity verification status of an individual account holder.
Example Request
curl -X GET "https://api.rolla.xyz/api/v1/external/accounts/b6075be0-f1d0-451f-a468-3e94563101d2/verification" \
-H "X-API-Key: your_api_key_here"
Example Response
{
"success": true,
"message": "Verification status retrieved successfully",
"data": {
"verified": true,
"reviewStatus": "completed",
"reviewAnswer": "GREEN"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
verified | boolean | true once the review completed with a positive result |
reviewStatus | string | Provider review state, e.g. init, pending, completed; null if verification hasn’t started |
reviewAnswer | string | GREEN (passed) or RED (failed); null while in progress |
Authorizations
Your Rolla API key
Path Parameters
Identifier of an account owned by the same user as your API key's business
⌘I